rapidjson::BasicIStreamWrapper< StreamType > Class Template Reference

Wrapper of `std::basic_istream` into RapidJSON's Stream concept. More...

`#include <istreamwrapper.h>`

## Public Types

typedef StreamType::char_type | Ch

## Public Member Functions

| BasicIStreamWrapper (StreamType &stream)
Ch | Peek () const
Ch | Take ()
size_t | Tell () const
Ch * | PutBegin ()
void | Put (Ch)
void | Flush ()
size_t | PutEnd (Ch *)
const Ch * | Peek4 () const

## Detailed Description

### template<typename StreamType>
class rapidjson::BasicIStreamWrapper< StreamType >

Wrapper of `std::basic_istream` into RapidJSON's Stream concept.

The classes can be wrapped including but not limited to:

- `std::istringstream`
- `std::stringstream`
- `std::wistringstream`
- `std::wstringstream`
- `std::ifstream`
- `std::fstream`
- `std::wifstream`
- `std::wfstream`

Template Parameters

  StreamType | Class derived from `std::basic_istream`.

The documentation for this class was generated from the following file:

- include/rapidjson/istreamwrapper.h